%bcond_without check

%global goipath         github.com/docopt/docopt.go
Version:                0.6.2
%global commit          ee0de3bc6815ee19d4a46c7eb90f829db0e014b1

%gometa

%global goaltipaths         github.com/docopt/docopt-go

%global common_description %{expand:
An implementation of Docopt in the Go programming language.

Docopt helps you create beautiful command-line interfaces easily}

%global golicenses      LICENSE
%global godocs          examples README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Command-line arguments parser in Go
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Fri Sep 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.2-1
- initial build
